org.eclipse.actf.visualization.ui.report.table

## Class ResultTableSorterBase

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.actf.visualization.ui.report.table.ResultTableSorterBase

All Implemented Interfaces:
  IResultTableSorter

Direct Known Subclasses:
  ResultTableSorter, ResultTableSorterLV

    public abstract class ResultTableSorterBase
    extends ViewerSorter
    implements IResultTableSorter

Abstract implementation of viewer sorter. It provides useful `Comparator` to implement viewer sorter for general accessibility issues

See Also:
  `ChainComparator`, `IResultTableSorter`, `IProblemItem`

### Nested Class Summary

Nested Classes
`class` `ResultTableSorterBase.DescriptionComparator` Sort `IProblemItem` based on it's description
`class` `ResultTableSorterBase.ErrorIDComparator` Sort `IProblemItem` based on it's error ID
`class` `ResultTableSorterBase.GuidelineComparator` Sort `IProblemItem` based on it's corresponding guideline
`class` `ResultTableSorterBase.LinesComparator` Sort `IProblemItem` based on it's corresponding line number
`class` `ResultTableSorterBase.ScoreCompator` Sort `IProblemItem` based on it's score
`class` `ResultTableSorterBase.SeverityComparator` Sort `IProblemItem` based on it's severity
`class` `ResultTableSorterBase.StringComparator` Sort items as String order

### Constructor Summary

Constructors
Constructor and Description
`ResultTableSorterBase()`

### Method Summary

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.actf.visualization.ui.report.table.IResultTableSorter

`reset, setCurColumn`

### Constructor Detail

#### ResultTableSorterBase

    public ResultTableSorterBase()